ubuntu-location-service: com::ubuntu::location::connectivity::RadioCell::Lte Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Public Attributes | List of all members
com::ubuntu::location::connectivity::RadioCell::Lte Struct Reference

Models an LTE radio cell. More...

`#include <radio_cell.h>`

Collaboration diagram for com::ubuntu::location::connectivity::RadioCell::Lte:

## Public Types
typedef MobileCountryCode< 0, 999, std::numeric_limits< int >::max() > | MCC
typedef MobileNetworkCode< 0, 999, std::numeric_limits< int >::max() > | MNC
typedef TrackingAreaCode< 0, 65535, std::numeric_limits< int >::max() > | TAC
typedef CellId< 0, 268435455, std::numeric_limits< int >::max() > | ID
typedef PhysicalId< 0, 503, std::numeric_limits< int >::max() > | PID
typedef ArbitraryStrengthUnit< 0, 31, 99 > | SignalStrength

## Public Attributes
MCC | mobile_country_code
MNC | mobile_network_code
TAC | tracking_area_code
ID | id
PID | physical_id
SignalStrength | strength

## Detailed Description

Models an LTE radio cell.

Definition at line 179 of file radio_cell.h.

## Member Typedef Documentation

## ◆ ID

typedef CellId< 0, 268435455, std::numeric_limits<int>::max() > com::ubuntu::location::connectivity::RadioCell::Lte::ID

28-bit Cell Identity described in TS 25.331, 0..268435455, INT_MAX if unknown

Definition at line 208 of file radio_cell.h.

## ◆ MCC

typedef MobileCountryCode< 0, 999, std::numeric_limits<int>::max() > com::ubuntu::location::connectivity::RadioCell::Lte::MCC

3-digit Mobile Country Code, 0..999, INT_MAX if unknown

Definition at line 187 of file radio_cell.h.

## ◆ MNC

typedef MobileNetworkCode< 0, 999, std::numeric_limits<int>::max() > com::ubuntu::location::connectivity::RadioCell::Lte::MNC

2 or 3-digit Mobile Network Code, 0..999, INT_MAX if unknown

Definition at line 194 of file radio_cell.h.

## ◆ PID

typedef PhysicalId< 0, 503, std::numeric_limits<int>::max() > com::ubuntu::location::connectivity::RadioCell::Lte::PID

Physical cell id, 0..503, INT_MAX if unknown

Definition at line 215 of file radio_cell.h.

## ◆ SignalStrength

typedef ArbitraryStrengthUnit< 0, 31, 99 > com::ubuntu::location::connectivity::RadioCell::Lte::SignalStrength

Valid values are (0-31, 99) as defined in TS 27.007 8.5

Definition at line 222 of file radio_cell.h.

## ◆ TAC

typedef TrackingAreaCode< 0, 65535, std::numeric_limits<int>::max() > com::ubuntu::location::connectivity::RadioCell::Lte::TAC

16-bit Tracking Area Code, 0..65535, INT_MAX if unknown

Definition at line 201 of file radio_cell.h.

## Member Data Documentation

## ◆ id

ID com::ubuntu::location::connectivity::RadioCell::Lte::id

Definition at line 227 of file radio_cell.h.

## ◆ mobile_country_code

MCC com::ubuntu::location::connectivity::RadioCell::Lte::mobile_country_code

Definition at line 224 of file radio_cell.h.

## ◆ mobile_network_code

MNC com::ubuntu::location::connectivity::RadioCell::Lte::mobile_network_code

Definition at line 225 of file radio_cell.h.

## ◆ physical_id

PID com::ubuntu::location::connectivity::RadioCell::Lte::physical_id

Definition at line 228 of file radio_cell.h.

## ◆ strength

SignalStrength com::ubuntu::location::connectivity::RadioCell::Lte::strength

Definition at line 229 of file radio_cell.h.

## ◆ tracking_area_code

TAC com::ubuntu::location::connectivity::RadioCell::Lte::tracking_area_code

Definition at line 226 of file radio_cell.h.

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/connectivity/radio_cell.h